Countdown

React Bootstrap 5 Countdown plugin

Countdown plugin built with Bootstrap 5, React 18 and Material Design 2.0. Examples of timers, counters, stopwatch, number counts, counter box & more.

Note: Read the API tab to find all available options and advanced customization


Basic example

Create default Countdown by adding countdown to a <MDBCountdown> component with a Countdown expiration date value. Add <MDBCountdownUnit> components and an property type with time unit to a child element to indicate which time units should be displayed inside Countdown.

        
            
            import React from 'react';
            import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
    
            export default function App() {
              return (
                <MDBCountdown countdown='31 December 2022 23:59:59'>
                  <MDBCountdownUnit />
                  <MDBCountdownUnit type='hours' />
                  <MDBCountdownUnit type='minutes' />
                  <MDBCountdownUnit type='seconds' />
                </MDBCountdown>
              );
            }
          
        
    

Interval

Create interval that will reset timer every time initial countdown ends.

        
            
              import React, { useState } from 'react';
              import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
      
              export default function App() {
                const [defaultDate, setDefaultDate] = useState(new Date('5 November 2022 12:35'));

                const handleInterval = (date: any) => {
                  const newDate = new Date(date.getTime() + 60000);
                  setDefaultDate(newDate);
                };

                return (
                  <MDBCountdown countdown={defaultDate} onEnd={() => handleInterval(defaultDate)}>
                    <MDBCountdownUnit />
                    <MDBCountdownUnit type='hours' />
                    <MDBCountdownUnit type='minutes' />
                    <MDBCountdownUnit type='seconds' />
                  </MDBCountdown>
                );
              }
            
        
    

Label

Create label for each time unit by adding label property with a text of your choice.

        
            
              import React from 'react';
              import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
      
              export default function App() {
                return (
                  <MDBCountdown countdown='31 December 2022 23:59:59'>
                    <MDBCountdownUnit label='days' />
                    <MDBCountdownUnit label='hours' type='hours' />
                    <MDBCountdownUnit label='minutes' type='minutes' />
                    <MDBCountdownUnit label='seconds' type='seconds' />
                  </MDBCountdown>
                );
              }
            
        
    

Separator

Add separator to a <MDBCountdown> component to insert separator between each time unit.

Separator won't be visible for Countdown column position

        
            
              import React from 'react';
              import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
      
              export default function App() {
                return (
                  <MDBCountdown separator=':' countdown='31 December 2022 23:59:59'>
                    <MDBCountdownUnit />
                    <MDBCountdownUnit type='hours' />
                    <MDBCountdownUnit type='minutes' />
                    <MDBCountdownUnit type='seconds' />
                  </MDBCountdown>
                );
              }
            
        
    

Styling

Countdown position

Change default horizontal position of Countdown with position="vertical" property.

        
            
              import React from 'react';
              import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
      
              export default function App() {
                return (
                  <MDBCountdown position='vertical' countdown='31 December 2022 23:59:59'>
                    <MDBCountdownUnit />
                    <MDBCountdownUnit type='hours' />
                    <MDBCountdownUnit type='minutes' />
                    <MDBCountdownUnit type='seconds' />
                  </MDBCountdown>
                );
              }
            
        
    

Label position

Change default vertical position of Countdown label with labelPosition="horizontal"

        
            
              import React from 'react';
              import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
      
              export default function App() {
                return (
                  <MDBCountdown labelPosition='horizontal' countdown='31 December 2022 23:59:59'>
                    <MDBCountdownUnit label='d' />
                    <MDBCountdownUnit label='h' type='hours' />
                    <MDBCountdownUnit label='m' type='minutes' />
                    <MDBCountdownUnit label='s' type='seconds' />
                  </MDBCountdown>
                );
              }
            
        
    

Text size

Change default time unit text size (4rem) with textSize property.

        
            
              import React from 'react';
              import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
      
              export default function App() {
                return (
                  <MDBCountdown textSize='6rem' countdown='31 December 2022 23:59:59'>
                    <MDBCountdownUnit label='days' />
                    <MDBCountdownUnit label='hours' type='hours' />
                    <MDBCountdownUnit label='minutes' type='minutes' />
                    <MDBCountdownUnit label='seconds' type='seconds' />
                  </MDBCountdown>
                );
              }
            
        
    

Custom classes

Add custom classes to time unit value and label with textClasses and labelClasses properties.

        
            
              import React from 'react';
              import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
      
              export default function App() {
                return (
                  <MDBCountdown
                    textClasses='badge bg-primary'
                    labelClasses='text-light bg-dark'
                    countdown='31 December 2022 23:59:59'
                  >
                    <MDBCountdownUnit label='days' />
                    <MDBCountdownUnit label='hours' type='hours' />
                    <MDBCountdownUnit label='minutes' type='minutes' />
                    <MDBCountdownUnit label='seconds' type='seconds' />
                  </MDBCountdown>
                );
              }
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Countdown - API


Import

        
            
        import { MDBCountdown, MDBCountdownUnit } from 'mdb-react-countdown';
      
        
    

Properties

MDBCountdown

Name Type Default Description Example
className string '' Add custom class to MDBCountdown <MDBCountdown countdown="31 December 2022 23:59:59" className="class" />
separator string '' Attached to container element defines separator used between each time unit value. Separator is not visible in vertical position of the Countdown element. <MDBCountdown countdown="31 December 2022 23:59:59" separator=':' />
position 'horizontal' | 'vertical' 'horizontal' Positions Countdown element horizontally or vertically. <MDBCountdown countdown="31 December 2022 23:59:59" position='vertical' />
labelPosition 'horizontal' | 'vertical' 'vertical' Positions all labels at the bottom or next to the corresponding time unit value. <MDBCountdown countdown="31 December 2022 23:59:59" labelPosition='vertical' />
textSize string '' Sets size of time unit text element. Text for labels in vertical label position is four times smaller than time unit text. <MDBCountdown countdown="31 December 2022 23:59:59" textSize='6rem' />
textClasses string '' Adds custom styles to all time unit text elements. <MDBCountdown countdown="31 December 2022 23:59:59" textClasses="bg-primary badge" />
labelClasses string '' Adds custom styles to all labels. <MDBCountdown countdown="31 December 2022 23:59:59" labelClasses='text-white' />
countdown string | Date '' Takes the value of the date to which the timer will be counting. <MDBCountdown countdown="31 December 2022 23:59:59" />
countdownRef React.MutableObjectRef<any> A reference to the MDBCountdown component. <MDBCountdown countdownRef={someRef} />

MDBCountdownUnit

Name Type Default Description Example
className string '' Adds a custom class to the MDBCountdownUnit component. <MDBCountdownUnit className='bg-secondary' />
label string '' Defines a label text for the MDBCountdownUnit component. <MDBCountdownUnit label='Days' />
type 'days' | 'hours' | 'minutes' | 'seconds' 'days' Defines the type of the counter element. <MDBCountdownUnit type='seconds' />
ref React.Ref<any> A reference to the MDBCountdownUnit component. <MDBCountdownUnit ref={someRef} />

Events

MDBCountdown

Name Type Description
onStart () => void Fires when the counting starts
onEnd () => void Fires when the counting ends
onError (error: string) => void Fires when the problem with countdown property occurs. You can get the invalid value of it with error parameter.

Countdown

Angular Bootstrap 5 Countdown plugin

Countdown plugin built with the Bootstrap 5. Examples of timers, counters, stopwatch, number counts, counter box & more.

Note: Read the API tab to find all available options and advanced customization


Basic example

Create default Countdown by adding [countdown] input to a container element with a Countdown expiration date value.

        
            
            <mdb-countdown [countdown]="'31 July 2026 23:59:59'"></mdb-countdown>
          
        
    

Interval

Create interval that will reset timer every time initial countdown ends.

        
            
        <mdb-countdown
          [countdown]="'31 July 2026 12:35'"
          [countdownInterval]="30"
        ></mdb-countdown>
        
        
    

Label

Create label for each time unit by adding [countdownLabel] with a text of your choice.

        
            
        <mdb-countdown
          [countdown]="'31 July 2026 23:59:59'"
          [countdownLabelDays]="'Days'"
          [countdownLabelHours]="'Hours'"
          [countdownLabelMinutes]="'Minutes'"
          [countdownLabelSeconds]="'Seconds'"
        ></mdb-countdown>
        
        
    

Separator

Add [countdownSeparator] input to a container element to insert separator between each time unit.

Separator won't be visible for Countdown column position

        
            
        <mdb-countdown
          [countdown]="'31 July 2026 23:59:59'"
          [countdownSeparator]="':'"
        ></mdb-countdown>
        
        
    

Styling

Countdown position

Change default horizontal position of Countdown with [countdownPosition]="'vertical'"

        
            
          <mdb-countdown
            [countdown]="'31 July 2026 23:59:59'"
            [countdownPosition]="'vertical'"
        ></mdb-countdown>
          
        
    

Label position

Change default vertical position of Countdown label with [countdownLabelPosition="'horizontal'"]

        
            
            <mdb-countdown
              [countdown]="'31 July 2026 23:59:59'"
              [countdownTextSize]="'6rem'"
              [countdownLabelSize]="'1.5rem'"
              [countdownLabelDays]="'Days'"
              [countdownLabelHours]="'Hours'"
              [countdownLabelMinutes]="'Minutes'"
              [countdownLabelSeconds]="'Seconds'"
          ></mdb-countdown>
          
        
    

Text size

Change default time unit text size (4rem) with [countdownTextSize].

        
            
          <mdb-countdown
          [countdown]="'31 July 2026 23:59:59'"
          [countdownTextSize]="'6rem'"
          [countdownLabelSize]="'1.5rem'"
          [countdownLabelDays]="'Days'"
          [countdownLabelHours]="'Hours'"
          [countdownLabelMinutes]="'Minutes'"
          [countdownLabelSeconds]="'Seconds'"
        ></mdb-countdown>
          
        
    

Custom classes

Add custom classes to time unit value and label with [countdownTextStyle] and [countdownLabelStyle]

        
            
          <mdb-countdown
            [countdown]="'31 July 2026 23:59:59'"
            [countdownTextStyle]="'badge bg-primary'"
            [countdownLabelStyle]="'text-light bg-dark'"
            [countdownLabelDays]="'Days'"
            [countdownLabelHours]="'Hours'"
            [countdownLabelMinutes]="'Minutes'"
            [countdownLabelSeconds]="'Seconds'"
            [countdownUnits]="['days', 'hours', 'minutes', 'seconds']"
        ></mdb-countdown>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Countdown - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/countdown
     
        
    

Import

        
            
  import { MdbCountdownModule } from 'mdb-angular-countdown';
  …
  @NgModule ({
    ...
    imports: [MdbCountdownModule],
    ...
  })
  
        
    
        
            
  @import 'mdb-angular-countdown/scss/countdown.scss';

        
    

Usage

Create default Countdown by adding [countdown] input to a container element with a Countdown expiration date value. Date value should be passed using proper Date format.


Inputs

Name Type Default Description
[countdown] String '' Initiates Countdown instance on element. Takes the value of the date to which the timer will be counting.
[countdownUnits] CountdownUnit[] ['days', 'hours', 'minutes', 'seconds'] Defines time units to be displayed on element. Possible values: 'days' | 'hours' | 'minutes' | 'seconds'".
[countdownInterval] Number 0 Sets interval in seconds that will reset timer after given amount of time after initial countdown ends.
[countdownLabel] String '' Attached to children element defines time unit label to be displayed on element.
[countdownSeparator] String '' Attached to container element defines separator used between each time unit value. Separator is not visible in vertical position of the Countdown element.
[countdownPosition] 'horizontal' | 'vertical' 'horizontal' Positions Countdown element horizontally or vertically.
[countdownLabelPosition] 'horizontal' | 'vertical' 'vertical' Positions the label at the bottom or next to the corresponding time unit value.
[countdownTextStyle] String '' Adds custom styles to all time unit text elements.
[countdownLabelStyle] String '' Adds custom styles to all labels.
[countdownTextSize] String '' Sets size of time unit text element. Text for labels in vertical label position is four times smaller than time unit text.

Outputs

Name Type Description
startCountdown EventEmitter<void> This event fires immediately when the countdown starts counting.
endCountdown EventEmitter<void> This event fires immediately when the countdown timer stops counting.
        
            
            <mdb-countdown
            (startCountdown)="onCountdownStart()"
            [countdown]="'31 December 2024 23:29:59'"
          ></mdb-countdown>                                    
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onCountdownStart() {
                console.log('countdown start');
              }
            }

Countdown

Bootstrap 5 Countdown plugin

Countdown plugin built with the Bootstrap 5. Examples of timers, counters, stopwatch, number counts, counter box & more.

Note: Read the API tab to find all available options and advanced customization


Basic example

Create default Countdown with MDBCountdown and MDBCountdownUnit components. MDBCountdown uses slot properties to expose units value to its children elements.

        
            
          <template>
            <MDBCountdown 
              countdown="31 December 2025 23:59:59" 
              v-slot="{ seconds, minutes, hours,days}"
            >
              <MDBCountdownUnit :unit="days" />
              <MDBCountdownUnit :unit="hours" />
              <MDBCountdownUnit :unit="minutes" />
              <MDBCountdownUnit :unit="seconds" />
            </MDBCountdown>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBCountdown,
              MDBCountdownUnit
            } from "mdb-vue-countdown";

            export default {
              components: {
                MDBCountdown,
                MDBCountdownUnit
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBCountdown,
              MDBCountdownUnit
            } from "mdb-vue-countdown";

          </script>
          
        
    

Interval

Create interval that will reset timer every time initial countdown ends.

        
            
          <template>
            <MDBCountdown 
              countdown="5 November 2022 12:35" 
              :interval="30"
              v-slot="{ seconds, minutes, hours,days}"
            >
              <MDBCountdownUnit :unit="days" />
              <MDBCountdownUnit :unit="hours" />
              <MDBCountdownUnit :unit="minutes" />
              <MDBCountdownUnit :unit="seconds" />
            </MDBCountdown>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBCountdown,
              MDBCountdownUnit
            } from "mdb-vue-countdown";

            export default {
              components: {
                MDBCountdown,
                MDBCountdownUnit
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBCountdown,
              MDBCountdownUnit
            } from "mdb-vue-countdown";

          </script>
          
        
    

Label

Create label for each time unit by adding label with a text of your choice.

        
            
              <template>
                <MDBCountdown 
                  countdown="31 December 2025 23:59:59" 
                  v-slot="{ seconds, minutes, hours,days}"
                >
                  <MDBCountdownUnit :unit="days" label="days" />
                  <MDBCountdownUnit :unit="hours" label="hours" />
                  <MDBCountdownUnit :unit="minutes" label="minutes" />
                  <MDBCountdownUnit :unit="seconds" label="seconds" />
                </MDBCountdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

                export default {
                  components: {
                    MDBCountdown,
                    MDBCountdownUnit
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

              </script>
            
        
    

Separator

Add separator to a container element to insert separator between each time unit.

Separator won't be visible for Countdown vertical position

        
            
              <template>
                <MDBCountdown 
                  countdown="31 December 2025 23:59:59" 
                  separator=":" 
                  v-slot="{ seconds, minutes, hours,days}"
                >
                  <MDBCountdownUnit :unit="days" label="days" />
                  <MDBCountdownUnit :unit="hours" label="hours" />
                  <MDBCountdownUnit :unit="minutes" label="minutes" />
                  <MDBCountdownUnit :unit="seconds" label="seconds" />
                </MDBCountdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

                export default {
                  components: {
                    MDBCountdown,
                    MDBCountdownUnit
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

              </script>
            
        
    

Styling

Countdown position

Change default horizontal position of Countdown with vertical property

        
            
              <template>
                <MDBCountdown 
                  countdown="31 December 2025 23:59:59" 
                  vertical 
                  v-slot="{ seconds, minutes, hours,days}"
                >
                  <MDBCountdownUnit :unit="days" label="days" />
                  <MDBCountdownUnit :unit="hours" label="hours" />
                  <MDBCountdownUnit :unit="minutes" label="minutes" />
                  <MDBCountdownUnit :unit="seconds" label="seconds" />
                </MDBCountdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

                export default {
                  components: {
                    MDBCountdown,
                    MDBCountdownUnit
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

              </script>
            
        
    

Label position

Change default vertical position of Countdown label with labelPosition="horizontal"

        
            
            <template>
              <MDBCountdown 
                countdown="31 December 2025 23:59:59" 
                v-slot="{ minutes, hours, days, seconds }" 
                labelPosition="horizontal"
              >
                <MDBCountdownUnit :unit="days" label="d" />
                <MDBCountdownUnit :unit="hours" label="h" />
                <MDBCountdownUnit :unit="minutes" label="m" />
                <MDBCountdownUnit :unit="seconds" label="s" />
              </MDBCountdown>
            </template>
            
        
    
        
            
              <script>
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

                export default {
                  components: {
                    MDBCountdown,
                    MDBCountdownUnit
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

              </script>
            
        
    

Text size

Change default time unit text size (4rem) with textSize.

        
            
              <template>
                <MDBCountdown 
                  countdown="31 December 2025 23:59:59"
                  v-slot="{ seconds, minutes, hours,days}" 
                  textSize="6rem"
                >
                  <MDBCountdownUnit :unit="days" label="days" />
                  <MDBCountdownUnit :unit="hours" label="hours" />
                  <MDBCountdownUnit :unit="minutes" label="minutes" />
                  <MDBCountdownUnit :unit="seconds" label="seconds" />
                </MDBCountdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

                export default {
                  components: {
                    MDBCountdown,
                    MDBCountdownUnit
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

              </script>
            
        
    

Custom classes

Add custom classes to time unit value and label with textStyle and labelStyle

        
            
              <template>
                <MDBCountdown 
                  countdown="31 December 2025 23:59:59" 
                  v-slot="{ seconds, minutes, hours, days }"
                  textStyle="badge bg-primary rounded-0 rounded-top mx-0" labelStyle="text-light bg-dark"
                >
                  <MDBCountdownUnit :unit="days" label="days" />
                  <MDBCountdownUnit :unit="hours" label="hours" />
                  <MDBCountdownUnit :unit="minutes" label="minutes" />
                  <MDBCountdownUnit :unit="seconds" label="seconds" />
                </MDBCountdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

                export default {
                  components: {
                    MDBCountdown,
                    MDBCountdownUnit
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";

              </script>
            
        
    

Slot props

With slot properties you can use our Countdown whatever you want. Add custom property to disable default styling.

        
            
            <template>
              <MDBCountdown 
                countdown="31 December 2025 23:59:59" 
                separator=":" 
                v-slot="{ seconds, minutes, hours, days }"
                custom
              >
                Time remaining to an event: 
                {{ days }} days, 
                {{ hours }} hours,
                {{ minutes }} minutes, 
                {{ seconds }} seconds.
              </MDBCountdown>
            </template>
          
        
    
        
            
            <script>
              import { MDBCountdown } from "mdb-vue-countdown";

              export default {
                components: {
                  MDBCountdown,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBCountdown } from "mdb-vue-countdown";

            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Countdown - API


Import

        
            
      <script>
        import {
          MDBCountdown,
          MDBCountdownUnit
        } from "mdb-vue-countdown";

        export default {
          components: {
            MDBCountdown,
            MDBCountdownUnit
          },
        };
      </script>
      
        
    

Properties

MDBCountdown

Name Type Default Description
autostart Boolean true Automatically starts counting.
countdown String | Number | Date - Value of the date to which the timer will be counting.
custom Boolean false Disables default styling
interval Number 0 Sets interval in seconds that will reset timer after given amount of time after initial countdown ends.
labelPosition String 'vertical' Positions the label at the bottom or next to the corresponding time unit value.
labelStyle String '' Adds custom styles to all labels.
separator String '' Attached to container element defines separator used between each time unit value. Separator is not visible in vertical position of the Countdown element.
tag String 'div' Default tag element for component wrapper
textSize String '' Sets size of time unit text element. Text for labels in vertical label position is four times smaller than time unit text.
textStyle String '' Adds custom styles to all time unit text elements.
vertical Boolean false Positions Countdown element vertically.

Slot properties

Name Type Default Description
seconds Number Returns countdown seconds value
minutes Number Returns countdown minutes value
hours Number Returns countdown hours value
days Number Returns countdown days value

MDBCountdownUnit

Name Type Default Description
label String '' Sets label for unti element
tag String 'div' Default tag element for component wrapper
unit String String | Number Defines time unit - based on MDBCountdown scoped slots

Methods

Name Argument Description
stop Stops the timer.
start Starts stopped timer.
setCountdown date Dynamically sets new date to count to
        
            
          <template>
            <MDBBtn color="primary" @click="countdownRef?.stop()">Stop countdown</MDBBtn>
            <MDBCountdown
              countdown="31 December 2023 23:59:59"
              v-slot="{ seconds, minutes, hours, days }"
              ref="countdownRef"
            >
              <MDBCountdownUnit :unit="days" />
              <MDBCountdownUnit :unit="hours" />
              <MDBCountdownUnit :unit="minutes" />
              <MDBCountdownUnit :unit="seconds" />
            </MDBCountdown>
          </template>
          
        
    
        
            
          <script>
            import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";
            import { MDBBtn } from "mdb-vue-ui-kit";
            import { ref } from "vue";
            
            export default {
              components: {
                MDBCountdown,
                MDBCountdownUnit,
                MDBBtn,
              },
              setup() {
                const countdownRef = ref(null);
            
                return {
                  countdownRef,
                };
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBCountdown, MDBCountdownUnit } from "mdb-vue-countdown";
            import { MDBBtn } from "mdb-vue-ui-kit";
            import { ref } from "vue";
            
            const countdownRef = ref<InstanceType<typeof MDBCountdown> | null>(null);
          </script>
          
        
    

Events

Name Description
start This event fires immediately when the countdown starts counting.
stop This event fires immediately when the countdown pauses counting.
end This event fires immediately when the countdown ends counting.
        
            
          <template>
            <MDBCountdown countdown="31 December 2023 23:59:59" @start="doSomething" >...</MDBCountdown>
          </template>